org.apache.tinkerpop.gremlin.structure.io

## Class IoCore

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.IoCore

- Deprecated.
  As of release 3.4.0, partially replaced by `GraphTraversalSource.io(String)`. Notice `GraphTraversalSource.io(String)` doesn't support read operation from `java.io.InputStream` or write operation to `java.io.OutputStream`. Thus for readers or writers which need this functionality are safe to use this deprecated method. There is no intention to remove this method unless all the functionality is replaced by the `io` step of `GraphTraversalSource`.

      @Deprecated
      public final class IoCore
      extends Object

  Constructs the core `Io.Builder` implementations enabling a bit of shorthand syntax by importing these methods statically.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Io.Builder` | `createIoBuilder(String graphFormat)` Deprecated.
    `static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.graphml.GraphMLIo>` | `graphml()` Deprecated. Creates a basic GraphML-based `Io.Builder`.
    `static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONIo>` | `graphson()` Deprecated. Creates a basic GraphSON-based `Io.Builder`.
    `static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.gryo.GryoIo>` | `gryo()` Deprecated. Creates a basic Gryo-based `Io.Builder`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### graphml

          public static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.graphml.GraphMLIo> graphml()

      Deprecated.
      Creates a basic GraphML-based `Io.Builder`.

    - #### graphson

          public static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONIo> graphson()

      Deprecated.
      Creates a basic GraphSON-based `Io.Builder`.

    - #### gryo

          public static Io.Builder<org.apache.tinkerpop.gremlin.structure.io.gryo.GryoIo> gryo()

      Deprecated.
      Creates a basic Gryo-based `Io.Builder`.

    - #### createIoBuilder

          public static Io.Builder createIoBuilder(String graphFormat)
                                            throws ClassNotFoundException,
                                                   IllegalAccessException,
                                                   InstantiationException

      Deprecated.
      Throws:
        `ClassNotFoundException`
        `IllegalAccessException`
        `InstantiationException`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.